import { ElementRef, OnInit } from '@angular/core';
import { NotificationConfig } from '../notification/notification-config';
export declare class NotificationContainerComponent implements OnInit {
    private el;
    constructor(el: ElementRef);
    ngOnInit(): void;
    notifications: NotificationConfig[];
    addMessage(notification: NotificationConfig): void;
    remove(index: string): void;
    removeInside(index: string): void;
    removeByIndex(index: string): void;
}
